clear all
close all
% import data

cd 'D:\Jackie\videos QL A 002\OrdenadoParaPaper'
ans1=importdata('./Male_accelerometer_Batch2_Box2_Patch.csv');% accelerometer
[ans2,txt,raw] = xlsread('./Male_behavior_Batch3_Box2_XXX.xls');% behavior

ax=ans1.data(1:end,1);
ay=ans1.data(1:end,2);
az=ans1.data(1:end,3)-1;
Beh=ans2(2:end,2:end);

t0_Beh=1482.5; 
t0_Acc=1450;  

% time for acelerometer data in segundos
t_Acc=[0:(numel(ax)-1)]/25+t0_Acc;


% time for behavioral data in segundos

t_Beh=ans2(2:end,1)-ans2(2,1)+t0_Beh;

figure;yyaxis left; plot(t_Acc/60,ay,'k'); xlabel('time (min)'); ylabel('a_y')
yyaxis right; plot(t_Beh/60,Beh(:,19),'g'); %Shakes
hold on; plot(t_Beh/60,sum(Beh(:,27:29),2),'r'); %Reproductive
ylabel('Behaviors (Shakes or Reproductive)'); ylim([0 1.1]); xlim([23 34]);


